Bug 173916 - Changing debug levels in rgmanager requires fail over of service
Changing debug levels in rgmanager requires fail over of service
Status: CLOSED ERRATA
Product: Red Hat Cluster Suite
Classification: Red Hat
Component: rgmanager (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Lon Hohberger
Cluster QE
:
Depends On:
Blocks: 160098
  Show dependency treegraph
 
Reported: 2005-11-22 11:30 EST by maurice dalton
Modified: 2009-04-16 16:18 EDT (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2006-0173
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-01-06 15:24:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Adds support for log_level and log_facility to the <rm> tag in cluster.conf (7.74 KB, patch)
2005-12-01 09:21 EST, Lon Hohberger
no flags Details | Diff

  None (edit)
Description maurice dalton 2005-11-22 11:30:50 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0; FunWebProducts; .NET CLR 1.1.4322; InfoPath.1)

Description of problem:
Changing debug levels in rgmanager require the init script to be modified and a restart of the service. This in turn causes the service to failover. 3.0 allowed debug levels to be changed via GUI.


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.edit /etc/init.d/rgmanager
2.service rgmanager restart
3.
  

Actual Results:  NFS service failed over.

Expected Results:  An effective method of changing debug levels without failing over. 


Additional info:
Comment 1 Lon Hohberger 2005-12-01 09:21:23 EST
Created attachment 121686 [details]
Adds support for log_level and log_facility to the <rm> tag in cluster.conf

There is no UI support for this at the moment.	Log levels are integers using
standard syslog semantics:

  0 - emerg
  ...
  7 - debug

Log facilities are the same as listed in syslog.conf(5):

(quote)
       The  facility  is  one of the following keywords: auth, authpriv, cron,
       daemon, kern, lpr, mail, mark, news, security (same as  auth),  syslog,
       user,  uucp and local0 through local7.  The keyword security should not
       be used anymore and mark is only for internal use and therefore	should
       not be used in applications.
(end quote)

This patch ONLY affects rgmanager.  cman, dlm, lock_gulmd, ccsd, clvmd, and all
other cluster components are unaffected.
Comment 3 Lon Hohberger 2005-12-06 13:49:55 EST
Fixes in CVS ready for QA.

Branches: head, STABLE, RHEL4
Comment 4 Lon Hohberger 2005-12-08 17:39:38 EST
see man syslog and man syslog.conf for better descriptions:

0 - emerg - System is unusable
1 - alert - Action should be taken immediately
2 - crit - Critical conditions
3 - err - Error conditions
4 - warning - Warning conditions
5 - notice - Normal, siginificant events
6 - info - Insignificant events
7 - debug - Debugging information

Possible logging facilities:

auth, authpriv, cron, daemon, kern, lpr, mail, news, syslog, user, uucp, local0,
local1, local2, local3, local4, local5, local6, local7
Comment 5 Red Hat Bugzilla 2006-01-06 15:24:07 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2006-0173.html

Note You need to log in before you can comment on or make changes to this bug.